oracle.xml.pipeline.controller

## Class PipelineException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - oracle.xml.pipeline.controller.PipelineException

All Implemented Interfaces:
  java.io.Serializable

    public class PipelineException
    extends java.lang.Exception

Represents an exception thrown by a pipeline method.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PipelineException(java.lang.Exception e)` Create a new PipelineException
`PipelineException(java.lang.String msg)` Create a new PipelineException

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getExceptionType()` Get the type of the exception
`java.lang.String` `getProcessId()` Get the Pipeline Process id where the exception is occuring

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PipelineException

    public PipelineException(java.lang.String msg)

Create a new PipelineException

Parameters:
  `msg` - error message

#### PipelineException

    public PipelineException(java.lang.Exception e)

Create a new PipelineException

Parameters:
  `e` - exception embedded in the PipelineException

### Method Detail

#### getExceptionType

    public java.lang.String getExceptionType()

Get the type of the exception

Returns:
  String type of exception, eg. oracle.xml.pipeline.controller.PipelineException

#### getProcessId

    public java.lang.String getProcessId()

Get the Pipeline Process id where the exception is occuring

Returns:
  String process id attribute

Copyright © 2003, 2020, Oracle and/or its affiliates.